package cn.com.ty.lift.business.project.dao.mapper;


import cn.com.ty.lift.business.project.dao.entity.Project;
import cn.com.ty.lift.business.project.dao.entity.model.ProjectRequest;
import cn.com.ty.lift.business.project.dao.entity.model.ProjectResponse;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author bieao
 * @date 2019/12/09
 * @description 项目数据层
 */
public interface ProjectMapper extends BaseMapper<Project> {

    List<ProjectResponse> findByCondition(IPage page, @Param("request") ProjectRequest request);

    List<ProjectResponse> findCompanyListByCondition(IPage page, @Param("request") ProjectRequest request);

}